summaryrefslogtreecommitdiffstats
path: root/modules/brotli/update.sh
diff options
context:
space:
mode:
authorMatt A. Tobin <mattatobin@localhost.localdomain>2018-02-02 04:16:08 -0500
committerMatt A. Tobin <mattatobin@localhost.localdomain>2018-02-02 04:16:08 -0500
commit5f8de423f190bbb79a62f804151bc24824fa32d8 (patch)
tree10027f336435511475e392454359edea8e25895d /modules/brotli/update.sh
parent49ee0794b5d912db1f95dce6eb52d781dc210db5 (diff)
downloadUXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar.gz
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar.lz
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar.xz
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.zip
Add m-esr52 at 52.6.0
Diffstat (limited to 'modules/brotli/update.sh')
-rwxr-xr-xmodules/brotli/update.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/modules/brotli/update.sh b/modules/brotli/update.sh
new file mode 100755
index 000000000..285f7dd5d
--- /dev/null
+++ b/modules/brotli/update.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+# Script to update the mozilla in-tree copy of the Brotli decompressor.
+# Run this within the /modules/brotli directory of the source tree.
+
+MY_TEMP_DIR=`mktemp -d -t brotli_update.XXXXXX` || exit 1
+
+git clone https://github.com/google/brotli ${MY_TEMP_DIR}/brotli
+
+COMMIT=`(cd ${MY_TEMP_DIR}/brotli && git log | head -n 1)`
+perl -p -i -e "s/\[commit [0-9a-f]{40}\]/[${COMMIT}]/" README.mozilla;
+
+rm -rf dec
+mv ${MY_TEMP_DIR}/brotli/dec dec
+rm -rf ${MY_TEMP_DIR}
+hg add dec
+
+echo "###"
+echo "### Updated brotli/dec to $COMMIT."
+echo "### Remember to verify and commit the changes to source control!"
+echo "###"